﻿@import url('https://fonts.googleapis.com/css2?family=Inter&display=swap');

:root {
    --color-foreground: #fffefc;
    --color-foreground-accent: #ccb6c0;
    --color-background: var(--color-background-1);
    --color-background-1: #4a343f;
    --color-background-2: #2c1f25;
    --color-disabled: #ccc;
    --color-input-border: #70506e;
    --color-input-background: #2c202c;
    --color-input-focus: #211821;
    --color-button-background: var(--color-input-border);
    --color-button-background-hover: #8c728b;
    --color-button-background-press: #594058;
    --color-nav-background: #594058;
}

.button {
    appearance: none;
    background-color: var(--color-button-background);
    font-family: 'Inter', sans-serif;
    color: var(--color-foreground);
    border: none;
    border-radius: 0.5rem;
    padding: 10px 20px;
    text-align: center;
    transition: background-color ease-out 0.1s;
}

.button:hover {
    background-color: var(--color-button-background-hover);
}

.button:active {
    background-color: var(--color-button-background-press);
}

.button-link {
    text-decoration: underline;
}

input {
    appearance: none;
    font-family: 'Inter', sans-serif;
    padding: 10px;
    border: 2px solid var(--color-input-border);
    border-radius: 0.5rem;
    background-color: var(--color-input-background);
    color: var(--color-foreground);
    transition: background-color ease-out 0.1s;
}

input:focus {
    border: 2px solid var(--color-input-border);
    outline: none;
    background-color: var(--color-input-focus);
}

body {
    margin: 0;
    padding: 2rem;
    box-sizing: border-box;
    min-height: 100vh;
    min-height: 100dvh;
    font-family: 'Inter', sans-serif;
    color: var(--color-foreground);
    background: var(--color-background);
    background: linear-gradient(135deg, var(--color-background-1) 0%, var(--color-background-2) 100%);
    background-repeat: no-repeat;
    background-attachment: fixed;
    display: flex;
    flex-direction: column;
}

h1, h2, h3, p {
    margin: 0;
}

a {
    color: var(--color-foreground);
    text-decoration: none;
}

a.disabled {
    pointer-events: none;
    color: var(--color-disabled);
}

header {
    display: flex;
    align-items: center;
    margin: 0 0 1rem 0;
    height: 2.2rem;
}

.header__rule {
    margin: 0 1rem 0 0;
    border: none;
    border-left: 5px solid transparent;
    height: 100%;
    border-radius: 5px;
    background: linear-gradient(white, white) padding-box,
    linear-gradient(to bottom, var(--color-foreground-accent), var(--color-nav-background)) border-box;
    background-size: 100% 200%;
    animation: header-hr-gradient 5s ease infinite;
    transition: height ease 0.1s;
}

@keyframes header-hr-gradient {
    0% {
        background-position: 0 0;
    }

    50% {
        background-position: 0 100%;
    }

    100% {
        background-position: 0 0;
    }
}

.header__title-container {
    display: flex;
    gap: 0.5rem;
    align-items: baseline;
}

.header__system-title {
    font-size: 1.75rem;
    font-weight: bold;
}

.header__nav-container {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    flex-grow: 1;
    height: 100%;
    gap: 1rem;
}

.header__nav-container > nav {
    display: flex;
    align-items: center;
    background-color: var(--color-nav-background);
    border-radius: 5px;
    height: 100%;
    padding: 0 1rem;
    gap: 0.5rem;
    box-shadow: 0 0 10px 1px rgba(0, 0, 0, 0.2);
}

.header__nav-container > nav > hr {
    border: none;
    border-left: 1px solid var(--color-foreground);
    height: 50%;
    border-radius: 5px;
}

main {
    flex-grow: 1;
}

footer {
    margin: 1rem 0 0 0;
}